Bug 228333 - Add a section about switching pkg from the quarterly branch to the latest branch
Summary: Add a section about switching pkg from the quarterly branch to the latest branch
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergio Carlavilla Delgado
URL:
Keywords: easy, feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-05-18 13:34 UTC by Mateusz Piotrowski
Modified: 2020-03-24 04:50 UTC (History)
4 users (show)

See Also:


Attachments
Patch for pkg.conf.5 that describes how to change quarterly to latest (1011 bytes, patch)
2020-03-05 23:55 UTC, greencoppermine
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-05-18 13:34:42 UTC
Although this information is already present in manual pages, I think that FreeBSD users would benefit from including a note on how to switch to the latest branch.

This question is being being asked all the time on StackExchange and IRC channels. Sometimes even every few days.

Also, I'd include a short note about how often the official FreeBSD package repository is updated. People ask all the time why the new version of a port, which has just been updated, is not yet available to download via pkg.
Comment 1 Jack-Benny Persson 2018-11-03 03:26:45 UTC
Information on how to follow the quarterly portstree would also be useful. Perhaps even more important to be honest? Since the quarterly packages are default nowadays, and considered more stable, then it would only make sense to also follow the quarterly ports. Many users find them self in a mess when the ports and the packages are "out of sync".

I was thinking of writing an example paragraph for this for the Handbook. But I realized that I don't think there's any official way of doing it? There are some shell scripts on the net that does help with it, but it's not something that's shipped with FreeBSD, or something that can be installed from either ports or packages.

For starters the Handbook should at least mention that there are two branches of both packages and ports.
Comment 2 Mateusz Piotrowski freebsd_committer 2018-11-04 00:00:26 UTC
FWIW, I've posted a answer to a similar question on Stack Exchange: https://unix.stackexchange.com/a/433876/128489
Comment 3 Benedict Reuschling freebsd_committer 2018-12-23 12:20:39 UTC
Could you create a patch for the handbook with the changes that you have in mind? I'd be happy to review. Thanks.
Comment 4 greencoppermine 2020-03-05 23:55:32 UTC
Created attachment 212171 [details]
Patch for pkg.conf.5 that describes how to change quarterly to latest

I was looking for information about "quarterly" vs "latest" and found the documentation lacking this part.

The information belongs in the man page for pkg.conf as it contains all the relevant other information, with the only exception in the details for "quarterly" and "latest".

I have attached a patch for pkg.conf.5
Comment 5 commit-hook freebsd_committer 2020-03-22 18:17:32 UTC
A commit references this bug:

Author: carlavilla
Date: Sun Mar 22 18:17:18 UTC 2020
New revision: 54009
URL: https://svnweb.freebsd.org/changeset/doc/54009

Log:
  Add a section about switching pkg from the quarterly branch
  to the latest branch.

  PR:		228333
  Submitted by:	0mp@
  Approved by:	bcr@(mentor)
  Differential Revision:	https://reviews.freebsd.org/D24151

Changes:
  head/en_US.ISO8859-1/books/handbook/ports/chapter.xml
Comment 6 Sergio Carlavilla Delgado freebsd_committer 2020-03-22 18:21:42 UTC
(In reply to greencoppermine from comment #4)

Thanks for the patch. But the pkg tool resides in the github repo[1][2].
Can you please open a PR in this repo?

Thanks!

[1] https://github.com/freebsd/pkg
[2] https://github.com/freebsd/pkg/blob/master/docs/pkg.conf.5
Comment 7 greencoppermine 2020-03-24 04:50:07 UTC
Sure NP :)